package com.shining.cloud.pojo.information;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/** @Author denghuajun
 * @Description //TODO 告警信息表
 * @Date  2019/3/15 9:34
 **/
@Table(name = "PQS_ALARMINFO")
public class AlarmInfo {
    @Id
    @Column(name = "ALARM_INDEX")
    private String alarmIndex;//	告警信息表Guid
    @Column(name = "type")
    private String type;//	Varchar2 (36)	Not NULL	（关联表pqs_dicdata）告警类型Guid
    @Column(name = "OCCURREDTIME")
    private Date occurredTime;//OCCURREDTIME	Date	Not NULL	发生告警时间
    @Column(name = "DESCRPIPTION")
    private String descrpiption;//DESCRPIPTION	Varchar2 (200)	Not NULL	发生告警的详细描述
    @Column(name = "STATE")
    private int state;//	Number(1)	Not NULL	是否处理：0-未处理 1-已处理
    @Column(name = "PROCESSTIME")
    private Date processTime;//PROCESSTIME	Date	NULL	处理后的时间，未处理为空
    @Column(name = "USER_INDEX")
    private String userIndex;//	Varchar2 (36)	   Not NULL	（关联表PQS_User）处理的用户Guid,可为空
    @Column(name = "TYPE_INDEX")
    private String typeIndex;
    @Column(name = "DEVLINE_TYPE")
    private String devLineType;

    @Transient
    private String timeid;
    @Transient
    private String alarmLevel;
    @Transient
    private String ptime;
    @Transient
    private String username;
    @Transient
    private String typeId;

    @Transient
    private String subName;

    @Transient
    private String devName;

    @Transient
    private String lineName;

    @Transient
    private Integer dicLeave;

    @Transient
    private Integer counts;

    public Integer getCounts() {
        return counts;
    }

    public void setCounts(Integer counts) {
        this.counts = counts;
    }

    public Integer getDicLeave() {
        return dicLeave;
    }

    public void setDicLeave(Integer dicLeave) {
        this.dicLeave = dicLeave;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeIndex() {
        return typeIndex;
    }

    public void setTypeIndex(String typeIndex) {
        this.typeIndex = typeIndex;
    }

    public String getDevLineType() {
        return devLineType;
    }

    public void setDevLineType(String devLineType) {
        this.devLineType = devLineType;
    }

    public String getAlarmIndex() {
        return alarmIndex;
    }

    public void setAlarmIndex(String alarmIndex) {
        this.alarmIndex = alarmIndex;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getOccurredTime() {
        return occurredTime;
    }

    public void setOccurredTime(Date occurredTime) {
        this.occurredTime = occurredTime;
    }

    public String getDescrpiption() {
        return descrpiption;
    }

    public void setDescrpiption(String descrpiption) {
        this.descrpiption = descrpiption;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public Date getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Date processTime) {
        this.processTime = processTime;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public String getTimeid() {
		return timeid;
	}

	public void setTimeid(String timeid) {
		this.timeid = timeid;
	}

	public String getAlarmLevel() {
		return alarmLevel;
	}

	public void setAlarmLevel(String alarmLevel) {
		this.alarmLevel = alarmLevel;
	}

	public String getPtime() {
		return ptime;
	}

	public void setPtime(String ptime) {
		this.ptime = ptime;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	@Override
    public String toString() {
        return "AlarmInfo{" +
                "alarmIndex='" + alarmIndex + '\'' +
                ", type='" + type + '\'' +
                ", occurredTime=" + occurredTime +
                ", descrpiption='" + descrpiption + '\'' +
                ", state=" + state +
                ", processTime=" + processTime +
                ", userIndex='" + userIndex + '\'' +
                '}';
    }
}
